GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::DirectionCosines Class Reference

class to handle DirectionCosines More...

`#include <gdcmDirectionCosines.h>`

List of all members.

## Public Member Functions

| DirectionCosines ()
| DirectionCosines (const double dircos[6])
| ~DirectionCosines ()
double | ComputeDistAlongNormal (const double ipp[3]) const
| Compute the distance along the normal.
void | Cross (double z[3]) const
| Compute Cross product.
double | CrossDot (DirectionCosines const &dc) const
| Compute the Dot product of the two cross vector of both DirectionCosines object.
double | Dot () const
| Compute Dot.
bool | IsValid () const
| Return whether or not this is a valid direction cosines.
void | Normalize ()
| Normalize in-place.
| operator const double * () const
| Make the class behave like a const double *.
void | Print (std::ostream &) const
| Print.
bool | SetFromString (const char *str)

## Detailed Description

class to handle DirectionCosines

Examples:
  DiscriminateVolume.cxx.

## Constructor & Destructor Documentation

gdcm::DirectionCosines::DirectionCosines | ( |  | ) |

gdcm::DirectionCosines::DirectionCosines | ( | const double | dircos[6] | ) |

gdcm::DirectionCosines::~DirectionCosines | ( |  | ) |

## Member Function Documentation

double gdcm::DirectionCosines::ComputeDistAlongNormal | ( | const double | ipp[3] | ) | const

Compute the distance along the normal.

void gdcm::DirectionCosines::Cross | ( | double | z[3] | ) | const

Compute Cross product.

double gdcm::DirectionCosines::CrossDot | ( | DirectionCosines const & | dc | ) | const

Compute the Dot product of the two cross vector of both DirectionCosines object.

Examples:
  DiscriminateVolume.cxx.

double gdcm::DirectionCosines::Dot | ( |  | ) | const

Compute Dot.

bool gdcm::DirectionCosines::IsValid | ( |  | ) | const

Return whether or not this is a valid direction cosines.

void gdcm::DirectionCosines::Normalize | ( |  | ) |

Normalize in-place.

gdcm::DirectionCosines::operator const double * | ( |  | ) | const`[inline]`

Make the class behave like a const double *.

void gdcm::DirectionCosines::Print | ( | std::ostream & |  | ) | const

Print.

bool gdcm::DirectionCosines::SetFromString | ( | const char * | str | ) |

Initialize from string str. It requires 6 floating point separated by a backslash character.

Examples:
  DiscriminateVolume.cxx.

The documentation for this class was generated from the following file:

- gdcmDirectionCosines.h